> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new member/admin

> Create a new member/admin and grant it access to assessments (if any). Requires admin privileges.



## OpenAPI

````yaml /monolith-v1-openapi.yaml post /v1/users
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/users:
    post:
      tags:
        - Users
      summary: Create a new member/admin
      description: >-
        Create a new member/admin and grant it access to assessments (if any).
        Requires admin privileges.
      requestBody:
        description: Request body.
        content:
          application/json:
            schema:
              required:
                - email
              type: object
              properties:
                email:
                  type: string
                  description: E-mail address for the user
                first_name:
                  type: string
                  description: First name of the user
                last_name:
                  type: string
                  description: Last name of the user
                admin:
                  type: boolean
                  description: Flag to indicate whether to grant admin privileges
                  default: false
                assessments:
                  type: array
                  description: IDs of assessments to grant user access to
                  items:
                    type: string
                send_invite:
                  type: boolean
                  description: >-
                    Flag to indicate whether to send the user the invitation URL
                    by e-mail
                  default: true
        required: true
      responses:
        '201':
          description: The newly created user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
            application/xml:
              schema:
                $ref: '#/components/schemas/User'
        '400':
          description: >-
            Payload includes unpermitted parameters, given assessment IDs are
            invalid or user creation failed (e.g. e-mail already exists)
          content: {}
        '403':
          description: The requesting party does not have admin privileges
          content: {}
components:
  schemas:
    User:
      required:
        - assessment_ids
        - banned
        - email
        - id
      type: object
      properties:
        id:
          type: integer
          format: int64
        email:
          type: string
          description: e-mail address of the user
        assessment_ids:
          type: array
          description: IDs of assessments the user has access to
          items:
            type: string
        admin:
          type: boolean
          description: >-
            boolean flag to indicate whether the user has admin privileges (only
            visible to admin
        invite_url:
          type: string
          description: invitation URL (only visible to admins)
        banned:
          type: boolean
          description: boolean flag to indicate whether the user has been banned
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````